<template>
  <div class="facilitators">

    <div class="hero">
      <v-container>
        <v-row justify="center">
          <v-col xs="12" sm="6" md="6" class="pt-10">
            <h1 class="display-2 pb-5">
              Holding space together
            </h1>
            <span class="title mb-5"
              >Bring your circle online<br />To keep the support</span
            >
            <div style="width: 100%">
              <v-btn
                color="primary"
                class="mt-8"
                elevation="0"
                large
                href="#join"
                >Join as a facilitator</v-btn
              >
            </div>
          </v-col>
          <v-col xs="12" sm="6" md="6" class="pb-0 mb-0">
            <v-img
              :src="require('@/assets/img/hero-facilitators.png')"
              style="margin-bottom: -1px;"
            />
          </v-col>
        </v-row>
      </v-container>
    </div>

    <div class="section-share">
      <v-container>
        <v-row>
          <v-col cols="12" class="text-center">
            <h3 class="title">
              Join us on our mission to make mental healthcare more accessible
            </h3>
          </v-col>
        </v-row>
      </v-container>
    </div>

    <v-container class="section">
      <v-row>
        <v-col class="text-center">
          <span class="display-1">What you get by partnering with Circle?</span>
        </v-col>
      </v-row>
      <v-row justify="center" aligin="center">
        <v-col>
          <p class="title">Integrate with your favorite tools</p>
        </v-col>
        <v-col>

        </v-col>
      </v-row>
    </v-container>

    <v-container class="section">
      <v-row>
        <v-col>
          <h3 class="display-1 text-center pb-10">How Circle works</h3>
        </v-col>
      </v-row>

      <v-row class="mt-10" justify="center" align="center">
        <v-col xs="12" md="4" class="text-center">
          <v-icon size="60" class="mb-3">mdi-set-center</v-icon>
          <h4 class="title">Join Circle</h4>
          <p class="body-1">
            Join as a Facilitator to circle
          </p>
        </v-col>

        <v-col xs="12" md="4" class="text-center">
          <v-icon size="60" class="mb-3">mdi-circle-edit-outline</v-icon>
          <h4 class="title">Create Circle</h4>
          <p class="body-1">
            Set the circle theme, time & date
          </p>
        </v-col>

        <v-col xs="12" md="4" class="text-center">
          <v-icon size="60" class="mb-3">mdi-vector-circle</v-icon>
          <h4 class="title">Invite your participants</h4>
          <p class="body-1">
            Make the circle public or private
          </p>
        </v-col>
      </v-row>
    </v-container>

    <div class="section-powerfull-tool">
      <v-container>
        <v-row>
          <v-col cols="12" class="text-center">
            <h3 class="title">
              Circle isn’t just a event tool - it’s a powerfull, beautiful, incredibly user-friendly platform for running your business end-to-end
            </h3>
          </v-col>
        </v-row>
        <v-row>

        </v-row>  
      </v-container>
    </div>
    
    <v-container id="join" class="section">
      <v-row>
        <v-col xs="12" sm="12" md="12" lg="12" class="text-center">
          <h2>Join as a facilitator to circle</h2>
        </v-col>
      </v-row>
      <v-row justify="center">
        <v-col xs="12" sm="12" md="12">
          <v-card outlined class="join-form">
            <v-card-text>
              <v-form ref="form" v-model="valid">
                <v-col xs="12">
                  <v-text-field
                    v-model="facilitator.firstName"
                    label="Enter first name"
                    :rules="rules"
                    hide-details
                    outlined
                  />
                </v-col>
                <v-col xs="12">
                  <v-text-field
                    v-model="facilitator.lastName"
                    label="Enter last name"
                    :rules="rules"
                    hide-details
                    outlined
                  />
                </v-col>
                <v-col xs="12">
                  <v-text-field
                    type="number"
                    v-model="facilitator.phone"
                    label="Enter phone number"
                    hide-details
                    outlined
                  />
                </v-col>
                <v-col xs="12">
                  <v-text-field
                    v-model="facilitator.email"
                    label="Enter email"
                    :rules="rulesEmail"
                    hide-details
                    outlined
                    :error="emailError"
                  />
                </v-col>
                <v-col xs="12">
                  <v-text-field
                    v-model="facilitator.password"
                    label="Enter password"
                    type="password"
                    :rules="rules"
                    hide-details
                    outlined
                    @keydown.enter="join"
                  />
                </v-col>
                <v-col v-if="authErrorMessages" xs="12">
                  <p style="color: #ff5e26">{{ authErrorMessages }}</p>
                </v-col>
                <v-col xs="12" md="12">
                  <v-btn
                    :loading="loading"
                    block
                    outlined
                    color="primary"
                    @click="join"
                    >Submit</v-btn
                  >
                </v-col>
              </v-form>
            </v-card-text>
          </v-card>
        </v-col>
      </v-row>
    </v-container>

    <Footer />
  </div>
</template>

<script>
import { mapState } from 'vuex'
import Footer from '@/components/Shared/Footer'

export default {
  head() {
    return {
      title: {
        inner: 'Home'
      },
      meta: [
        {
          name: 'description',
          content: `${this.appTitle} home page`,
          id: 'desc'
        }
      ]
    }
  },
  components: {
    Footer
  },
  data() {
    return {
      rules: [
        value => !!value || 'Required.',
        value => (value && value.length >= 3) || 'Min 3 characters'
      ],
      rulesEmail: [
        value => !!value || 'Required.',
        value => (value && value.length >= 3) || 'Min 3 characters',
        value => {
          const pattern = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
          return pattern.test(value) || 'Invalid e-mail.'
        }
      ],
      emailError: false,
      valid: false,
      facilitator: {
        email: null,
        password: null,
        firstName: null,
        lastName: null,
        phone: null
      },
      loading: false
    }
  },
  computed: {
    ...mapState('facilitator', ['authErrorMessages'])
  },
  methods: {
    join() {
      if (this.$refs.form.validate()) {
        this.loading = true
        this.$store
          .dispatch('facilitator/join', this.facilitator)
          .then(() => {
            this.loading = false
            this.$router.push('/join')
          })
          .catch(err => {
            this.loading = false
            this.authErrorMessages = err.message
          })
      }
    }
  }
}
</script>

<style lang="scss" scoped>
.facilitators {
  .join-form {
    max-width: 600px;
    margin: auto;
  }
  .section-share {
    background: #f59c7c;
    color: #fff;
    .image-wrap {
      margin: auto;
    }
  }
  .section {
    padding: 2rem 0 2rem 0;
  }
  .section-powerfull-tool {
    background: #f7f7f7;
    padding: 2rem 0 2rem 0;
  }
  .hero {
    padding: 4rem 0 4rem 0;
    min-height: 250px;
    background-color: #fbf9f6;
    .image {
      width: 350px;
      margin-left: auto;
    }
  }
}
</style>
